##########################
##第7章　実証分析問題7-A##
##########################

##実証分析問題7-A(例7.2，例7.3の再現)
#データの読み込み
income7 <- read.table("7_1_income.csv", header = TRUE, sep = ",")

#教育の収益率の男女差を推定
reg1 <- lm(lincome ~ yeduc + female + female_yeduc, data = income7)
summary(reg1)

#例7.3：教育の収益率の男女差をチョウ検定で調べる
#男性のみのデータを使って単回帰で推定
reg2 <- lm(lincome ~ yeduc, data = subset(income7, female == 0))
summary(reg2)
#残差2乗和を計算
SSR1 <- deviance(reg2)

#女性のみのデータを使って単回帰で推定
reg3 <- lm(lincome ~ yeduc, data = subset(income7, female == 1))
summary(reg3)
#残差2乗和を計算
SSR2 <- deviance(reg3)

#すべてのデータを使って単回帰で推定
reg4 <- lm(lincome ~ yeduc, data = income7)
summary(reg4)
#残差2乗和を計算
SSR <- deviance(reg4)

k <- reg4$rank
#チョウ検定統計量の計算
Fstat <- (SSR-(SSR1 + SSR2))/(SSR1 + SSR2) * (nrow(income7) - 2*k)/k
Fstat
#F統計量よりp値
1-pf(Fstat, k, (nrow(income7) - 2*k))
anova(reg4, reg1)