##########################
##第9章　実証分析問題9-A##
##########################

#パネル・データ分析用パッケージインストール
install.packages("plm")
#パネル・データ分析用パッケージ読み込み
require(plm)

#実証分析問題9-A
#データ読み込み
cig9 <- read.table("9_1_cig_xt.csv", header = TRUE, sep = ",")

#例9.1のモデルに所得を共変量として追加して回帰
preg1 <- plm(ncig ~ life + income -1, data = cig9, effect = "individual", 
             model = "fd", index = c("id","t"))
summary(preg1)
