#####################################
## 第9章　パネル・データ分析 例9.4 ##
#####################################

#データの読み込み
life9 <- read.table("9_2_life_xt.csv", header = TRUE, sep = ",")

#パネル・データ分析用パッケージインストール
install.packages("plm")
#パネル・データ分析用パッケージ読み込み
require(plm)

#変量効果モデル（random）を用いた回帰
preg1 <- plm(life ~ shock + y2 + shock_y2 + income, data = life9, effect ="individual", 
             model = "random", index = c("id", "t"))
summary(preg1)
