#####################################
## 第9章　パネル・データ分析 例9.3 ##
#####################################

#データの読み込み
life9 <- read.table("9_2_life_xt.csv", header = TRUE, sep = ",")

#パネル・データ分析用パッケージインストール
install.packages("plm")
#パネル・データ分析用パッケージ読み込み
require(plm)

#固定効果モデル（within）を用いた回帰
preg1 <- plm(life ~ shock + y2 + shock_y2 + income, data = life9, effect ="individual", 
             model = "within", index = c("id", "t"))
summary(preg1)
#n人分の切片平均値出力
mean(fixef(preg1))
